<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class Query {
	private $driver;
	
	public function __construct($driver) {
		$class = $driver . 'Query';
		if(is_readable(ENGINE_DIR . 'libs/base.php')) {
			require_once(ENGINE_DIR . 'libs/base.php');
		} else {
			exit('Ошибка: Не удалось загрузить базовый query-драйвер!');
		}
		if(is_readable(ENGINE_DIR . 'libs/' . $driver . '/' . $driver . '.driver.php')) {
			require_once(ENGINE_DIR . 'libs/' . $driver . '/' . $driver . '.driver.php');
		} else {
			exit('Ошибка: Не удалось загрузить query-драйвер ' . $driver . '!');
		}
		$this->driver = new $class();
	}
		
  	public function connect($ip, $port) {
		return $this->driver->connect($ip, $port);
  	}
	
  	public function disconnect() {
		return $this->driver->disconnect();
  	}
	
  	public function getInfo() {
		return $this->driver->getInfo();
  	}
}
?>
